###############################################################################
# Notify.pl                                                                   #
###############################################################################
# Yet another Bulletin Board (http://www.yabb.com.ru)                         #
# Open Source project started by Zef Hemel (zef@zefnet.com)                   #
# =========================================================================== #
# Copyright (c) The YaBB Programming team                                     #
# =========================================================================== #
# This file has been written by: Zef Hemel                                    #
###############################################################################

# Build 9

sub Notify {
	if($username eq "Guest") { &fatal_error("$txt{'138'}"); }
	$title = "$txt{'125'}";
	&header;

	# Check, if User already gets a notification

	open (FILE, "$datadir/$INFO{'thread'}.mail");
	&lock(FILE);
	@mails = <FILE>;
	&unlock(FILE);
	close(FILE);

	$isonlist = 0;

	foreach $curmail (@mails) {
		$curmail =~ s/[\n\r]//g;
		if($settings[2] eq "$curmail") { $isonlist = 1; }
	}

	if ($isonlist){
	
	print <<"EOT";
<table border=0 width=100% cellspacing=1 bgcolor="#000000">
<tr>
	<td bgcolor="$color{'titlebg'}"><font size=2 color="$color{'titletext'}"><b>$txt{'125'}</b></font></td>
</tr>
<tr>
	<td bgcolor="$color{'windowbg'}"><font size=2>
$txt{'212'}<br>
<b><a href="$cgi&action=notify3&thread=$INFO{'thread'}">$txt{'163'}</a> - <a href="$cgi&action=display&num=$INFO{'thread'}">$txt{'164'}</a></b>
</font></td>
</tr>
</table>
EOT

	} else
	{
	
	print <<"EOT";
<table border=0 width=100% cellspacing=1 bgcolor="#000000">
<tr>
	<td bgcolor="$color{'titlebg'}"><font size=2 color="$color{'titletext'}"><b>$txt{'125'}</b></font></td>
</tr>
<tr>
	<td bgcolor="$color{'windowbg'}"><font size=2>
$txt{'126'}<br>
<b><a href="$cgi&action=notify2&thread=$INFO{'thread'}">$txt{'163'}</a> - <a href="$cgi&action=display&num=$INFO{'thread'}">$txt{'164'}</a></b>
</font></td>
</tr>
</table>
EOT

	}

	&footer;
	exit;
}

# /Build 9

sub Notify2 {
	if($username eq "Guest") { &error("$txt{'138'}"); }
	$thread = $INFO{'thread'};
	open (FILE, "$datadir/$thread.mail");
	&lock(FILE);
	@mails = <FILE>;
	&unlock(FILE);
	close(FILE);
	open (FILE, ">$datadir/$thread.mail") || &fatal_error("$txt{'23'} $thread.mail");
	&lock(FILE);
	print FILE "$settings[2]\n";
	foreach $curmail (@mails) {
		$curmail =~ s/[\n\r]//g;
		if($settings[2] ne "$curmail") { print FILE "$curmail\n"; }
	}
	&unlock(FILE);
	close(FILE);
	print "Location: $cgi\&action=display\&num=$thread\n\n";
	exit;
}

# Build 9

sub Notify3 {
	if($username eq "Guest") { &error("$txt{'138'}"); }
	$thread = $INFO{'thread'};
	open (FILE, "$datadir/$thread.mail");
	&lock(FILE);
	@mails = <FILE>;
	&unlock(FILE);
	close(FILE);
	open (FILE, ">$datadir/$thread.mail") || &fatal_error("$txt{'23'} $thread.mail");
	&lock(FILE);
	foreach $curmail (@mails) {
		$curmail =~ s/[\n\r]//g;
		if($settings[2] ne "$curmail") { print FILE "$curmail\n"; }
	}
	&unlock(FILE);
	close(FILE);
	print "Location: $cgi\&action=display\&num=$thread\n\n";
	exit;
}

# /Build 9

1;