###############################################################################
# Post.pl                                                                     #
###############################################################################
# Yet another Bulletin Board (http://www.yabb.com.ru)                         #
# Open Source project started by Zef Hemel (zef@zefnet.com)                   #
# =========================================================================== #
# Copyright (c) The YaBB Programming team                                     #
# =========================================================================== #
# This file has been written by: Zef Hemel                                    #
###############################################################################

sub Post {

	if($username eq "Guest" && $enable_guestposting == 0) {
		&fatal_error("$txt{'165'}");
	}

	open(FILE, "$boardsdir/$currentboard.txt") || &fatal_error("$txt{'23'} $currentboard.txt");
	&lock(FILE);
	@threads = <FILE>;
	&unlock(FILE);
	close(FILE);

	for ($x = 0; $x < @threads; $x++) {
($mnum, $msub, $mname, $memail, $mdate, $mreplies, $musername, $micon, $mstate) = split(/\|/,$threads[$x]);
		if ($INFO{'num'} eq $mnum && $mstate==1) {
			&fatal_error("$txt{'90'}");
			$x=@threads;
		}
	}

	# Build 9

	$notification = "";

        if($username ne "Guest") {      

		if($enable_notification) {
	 $notification = <<"EOT";
<tr>
	<td><font size=2><b>$txt{'131'}:</b></font></td>
	<td><font size=2><input type=checkbox name="notify" value="x"></font></td>
</tr>
EOT
		}

	}

	# /Build 9

	$title="$INFO{'title'}";
	&header;
	if($realname ne "") { $name_field = "$realname<input type=hidden name=name value=\"$realname\">"; }
	else { $name_field = "<input type=text name=name size=50 value=\"$form_name\">"; }
	if($realemail ne "") { $email_field = "$realemail<input type=hidden name=email value=\"$realemail\">"; }
	else { $email_field = "<input type=text name=email size=50 value=\"$form_name\">"; }

	if($INFO{'num'} ne "") {
		open(FILE, "$datadir/$INFO{'num'}.txt") || &fatal_error("$txt{'23'} $INFO{'num'}.txt");
		&lock(FILE);
		@messages = <FILE>;
		&unlock(FILE);
		close(FILE);
		($msubject, $mname, $memail, $mdate, $musername, $micon, $mattache, $mip, $mmessage) = split(/\|/,$messages[0]);
		$msubject =~ s/Re: //g;
		$form_subject = "Re: $msubject";

		if($INFO{'quote'} ne "") {
			($msubject, $mname, $memail, $mdate, $musername, $micon, $mattache, $mip, $mmessage) = split(/\|/,$messages[$INFO{'quote'}]);
			$form_message="$mmessage";
			$form_message =~ s/\[quote\](\S+?)\[\/quote\]//isg;
			$form_message =~ s/\[(\S+?)\]//isg;
			$form_message =~ s/<br>/\n/g;
			$form_message = "\n\n\[quote\]$form_message\[/quote\]";
			$msubject =~ s/Re: //g;
			$form_subject = "Re: $msubject";
		}
	}
	print <<"EOT";
<table border=0 width=100% cellspacing=1 bgcolor="#000000">
<tr>
	<td bgcolor="$color{'titlebg'}"><font size=2 color="$color{'titletext'}"><b>$title</b></font></td>
</tr>
<tr>
	<td bgcolor="$color{'windowbg'}">
<form action="$cgi&action=post2&start=$INFO{'start'}" method=post name="creator" onSubmit="submitonce(this)">
<input type=hidden name=followto value=$INFO{'num'}>
<table border=0>
<tr>
	<td><font size=2><b>$txt{'68'}:</b></font></td>
	<td><font size=2>$name_field</font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'69'}:</b></font></td>
	<td><font size=2>$email_field</font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'70'}:</b></font></td>
	<td><font size=2><input type=text name="subject" value="$form_subject" size="40" maxlength="50"></font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'71'}:</b></font></td>
	<td><script language="javascript">
function showimage()
{
//alert("$imagesdir/"+document.creator.icon.options[document.creator.icon.selectedIndex].value+".gif");
document.images.icons.src="$imagesdir/"+document.creator.icon.options[document.creator.icon.selectedIndex].value+".gif";
}
</script>
<select name="icon" onChange="showimage()">
	<option value="xx">Standard
	<option value="thumbup">Thumb Up
	<option value="thumbdown">Thumb Down
	<option value="exclamation">Exclamation point
	<option value="question">Question mark
	<option value="lamp">Lamp
	<option value="smiley">Smiley
	<option value="angry">Angry
	<option value="cheesy">Cheesy
	<option value="laugh">Laugh
	<option value="sad">Sad
	<option value="wink">Wink
	</select>
	<img src="$imagesdir/xx.gif" name="icons" width="16" height="16" border=0 hspace=15></td>
</tr>
<!--------------------------------------->
<script>
function submitonce(theform){
//if IE 4+ or NS 6+
if (document.all||document.getElementById){
//screen thru every element in the form, and hunt down "submit" and "reset"
for (i=0;i<theform.length;i++){
var tempobj=theform.elements[i]
if(tempobj.type.toLowerCase()=="submit"||tempobj.type.toLowerCase()=="reset")
//disable em
tempobj.disabled=true
}}}
</script>
<script>
function AddText(NewCode) {
document.creator.message.value+=NewCode
}
</script>
<script>
function underline() {
		AddTxt="[u][/u]";
		AddText(AddTxt);
}
</script>
<script>
function emai1() {
		AddTxt="[email][/email]";
		AddText(AddTxt);
}
</script>
<script>
function bold() {
		AddTxt="[b][/b]";
		AddText(AddTxt);
}
</script>
<script>
function italicize() {
		AddTxt="[i][/i]";
		AddText(AddTxt);
}
</script>
<script>
function quote() {
		AddTxt="[quote][/quote]";
		AddText(AddTxt);
}
</script>
<script>
function center() {
		AddTxt="[center][/center]";
		AddText(AddTxt);
}
</script>
<script>
function hyperlink() {
		AddTxt="[url][/url]";
		AddText(AddTxt);
}
</script>
<script>
function showcode() {
		AddTxt="[code][/code]";
		AddText(AddTxt);
}
</script>
<script>
function list() {
		AddTxt="[list][*][*][*][/list]";
		AddText(AddTxt);
}
</script>
<script>
function showcolor(color) {
		AddTxt="[color="+color+"][/color]";
		AddText(AddTxt);
}
</script>
<!--------------------------------------->
<tr>
<td><font size=2><b>Add YABBC tags:</b></font></td>
<td valign=middle>
<img src="$imagesdir/bold.gif"      align=bottom width="23" height="22" alt="Bold"             border="0" onClick="bold()">
<img src="$imagesdir/italicize.gif" align=bottom width="23" height="22" alt="Italicized"       border="0" onClick="italicize()">
<img src="$imagesdir/underline.gif" align=bottom width="23" height="22" alt="Underline"        border="0" onClick="underline()">
<img src="$imagesdir/center.gif"    align=bottom width="23" height="22" alt="Centered"         border="0" onClick="center()">
<img src="$imagesdir/url.gif"       align=bottom width="23" height="22" alt="Insert Hyperlink" border="0" onClick="hyperlink()">
<img src="$imagesdir/email2.gif"    align=bottom width="23" height="22" alt="Insert Email"     border="0" onClick="emai1()">
<img src="$imagesdir/code.gif"      align=bottom width="23" height="22" alt="Insert Code"      border="0" onClick="showcode()">
<img src="$imagesdir/quote2.gif"    align=bottom width="23" height="22" alt="Insert Quote"     border="0" onClick="quote()">
<img src="$imagesdir/list.gif"      align=bottom width="23" height="22" alt="Insert List"      border="0" onClick="list()">
<select name="color" onChange="showcolor(this.options[this.selectedIndex].value)">
	<option value="Black" selected>Black</option>
	<option value="Red">Red</option>
	<option value="Yellow">Yellow</option>
	<option value="Pink">Pink</option>
	<option value="Green">Green</option>
	<option value="Orange">Orange</option>
	<option value="Purple">Purple</option>
	<option value="Blue">Blue</option>
	<option value="Beige">Beige</option>
	<option value="Brown">Brown</option>
	<option value="Teal">Teal</option>
	<option value="Navy">Navy</option>
	<option value="Maroon">Maroon</option>
	<option value="LimeGreen">LimeGreen</option>
</select>
</td>
</tr>
<tr>
	<td valign=top><font size=2><b>$txt{'72'}:</b></font></td>
	<td><font size=2><textarea name=message rows=10 cols=50 wrap=virtual>$form_message</textarea></td>
</tr>
$notification
<tr>
	<td align=center colspan=2><input type=submit value="$txt{'105'}">
	<input type=reset value="Reset Form"></td>
</tr>
</table></form>
</td>
</tr>
</table>
EOT

	&doshowthread;
	&footer;
	exit;
}

sub Post2 {

	# Build 9

	if(-e("$datadir/.txt")) { 
	   unlink("$datadir/.txt"); 
	   &fatal_error("$txt{'210'}$message"); 
	}

	# /Build 9

	if($username eq "Guest" && $enable_guestposting == 0) {
		&fatal_error("$txt{'165'}");
	}

	$name = $FORM{'name'};
	$email = $FORM{'email'};
	$subject = $FORM{'subject'};
	$message = $FORM{'message'};
	$icon = "$FORM{'icon'}";

	&fatal_error("$txt{'75'}") unless($name);
	&fatal_error("$txt{'76'}") unless($email);
	&fatal_error("$txt{'77'}") unless($subject);
	&fatal_error("$txt{'78'}") unless($message);

	$name =~ s/\&/\&amp;/g;
	$email =~ s/\&/\&amp;/g;
	$subject =~ s/\&/\&amp;/g;
	$message =~ s/\&/\&amp;/g;
	$name =~ s/"/\&quot;/g;
	$email =~ s/"/\&quot;/g;
	$subject =~ s/"/\&quot;/g;
	$message =~ s/"/\&quot;/g;
	$name =~ s/  / \&nbsp;/g;
	$email =~ s/  / \&nbsp;/g;
	$subject =~ s/  / \&nbsp;/g;
	$message =~ s/  / \&nbsp;/g;
	$name =~ s/</&lt;/g;
	$name =~ s/>/&gt;/g;
	$name =~ s/\|/\&#124;/g;
	$email =~ s/</&lt;/g;
	$email =~ s/>/&gt;/g;
	$email =~ s/\|//g;
	$subject =~ s/</&lt;/g;
	$subject =~ s/>/&gt;/g;
	$subject =~ s/\|/\&#124;/g;
	$message =~ s/</&lt;/g;
	$message =~ s/>/&gt;/g;
	$message =~ s/\t/ \&nbsp; \&nbsp; \&nbsp;/g;
	$message =~ s/\cM//g;
	$message =~ s/\n/<br>/g;
	$message =~ s/\|/\&#124;/g;

	if($FORM{'followto'} eq "") {
		open(FILE, "$vardir/number.txt");
		&lock(FILE);
		$postnum = <FILE>;
		$postnum =~ s/[\n\r]//g;
		++$postnum;
		&unlock(FILE);
		close(FILE);
		open(FILE, ">$vardir/number.txt");
		&lock(FILE);
		print FILE "$postnum";
		&unlock(FILE);
		close(FILE);
	}
	
	open (FILE, "$boardsdir/$currentboard.txt") || &fatal_error("$txt{'23'} $currentboard.dat");
	&lock(FILE);
	@messages = <FILE>;
	&unlock(FILE);
	close (FILE);
	open (FILE, ">$boardsdir/$currentboard.txt") || &fatal_error("$txt{'23'} $currentboard.dat");
	&lock(FILE);
	$followto = $FORM{'followto'};
	if($followto eq "") {
		print FILE "$postnum\|$subject\|$name\|$email\|$date\|0\|$musername\|$FORM{'icon'}\|0\|$message\n";
		print FILE @messages;
	} else {
		for ($a = 0; $a < @messages; $a++) {
			($mnum, $msub, $mname, $memail, $mdate, $mreplies, $musername, $micon, $mattach) = split(/\|/,$messages[$a]);
			$mattach =~ s/[\n\r]//g;
			++$mreplies;
			if ($mnum == $followto) {
				print FILE "$mnum\|$msub\|$mname\|$memail\|$date\|$mreplies\|$musername\|$micon\|$mattach\n";
			}
		}
		for ($a = 0; $a < @messages; $a++) {
			($mnum, $msub, $mname, $memail, $mdate, $mreplies, $musername, $micon, $mattach) = split(/\|/,$messages[$a]);
			$mattach =~ s/[\n\r]//g;
			if ($mnum == $followto) { } else { print FILE "$messages[$a]"; }
		}
	}
	&unlock(FILE);
	close(FILE);

	if($username ne "Guest") {
		$settings[6] =~ s/[\n\r]//g;
		++$settings[6];
		open(FILE, ">$memberdir/$username.dat");
		&lock(FILE);
		print FILE "$settings[0]\n";
		print FILE "$settings[1]\n";
		print FILE "$settings[2]\n";
		print FILE "$settings[3]\n";
		print FILE "$settings[4]\n";
		print FILE "$settings[5]\n";
		print FILE "$settings[6]\n";
		print FILE "$settings[7]\n";
		print FILE "$settings[8]\n";
		&unlock(FILE);
		close(FILE);
	}

	if(-e("$datadir/$followto.txt")) {
		open(FILE, ">>$datadir/$followto.txt") || &fatal_error("$txt{'23'} $followto.txt");
	} else {
		open(FILE, ">$datadir/$postnum.txt") || &fatal_error("$txt{'23'} $postnum.txt");
	}
	&lock(FILE);
	print FILE "$subject\|$name\|$email\|$date\|$username\|$icon\|0\|$ENV{REMOTE_ADDR}\|$message\n";
	&unlock(FILE);
	close (FILE);
	
	if(-e("$datadir/$followto.txt")) {
		$thread="$followto";
	} else {
		$thread="$postnum";
	}
&doaddition;
	if(-e("$datadir/$thread.mail")) { 
		&NotifyUsers; 
	}
	$writedate = "$date";
	&writelog("$currentboard");

	if($FORM{'notify'}) {
		require "$sourcedir/Notify.pl";
		print "Location: $cgi\&action=notify2\&thread=$thread\n\n"; 
	} else { 
		print "Location: $cgi\&action=display\&num=$thread\&start=$INFO{'start'}\n\n"; 
	}
	
	exit;
}

sub NotifyUsers {
	open(FILE, "$datadir/$thread.mail");
	@mails = <FILE>;
	close(FILE);
	foreach $curmail (@mails) {
		$curmail =~ s/[\n\r]//g;
		
		# Build 9

		if ($curmail ne $settings[2]) {

			open (MAIL, "|$mailprog -t");
			print MAIL "To: $curmail\n";
			print MAIL "From: $webmaster_email\n";
			print MAIL "Subject: $txt{'127'}\: $subject\n\n";
			print MAIL <<"EOT";
$txt{'128'} $subject $txt{'129'} $cgi&action=display&num=$thread

$txt{'130'}
EOT
			close(MAIL);

		}

		# /Build 9

	}
}

##################################################### ADDITION HERE VV

sub doshowthread {

	if (@messages) { # start if messages exist, then display

	print qq~
	
	<table cellspacing=1 cellpadding=0 width=100% align=center bgcolor=#000000>
	<tr><td>
	<table cellspacing=1 cellpadding=2 width=100% align=center bgcolor="$color{'windowbg'}">
	<tr><td bgcolor="$color{'titlebg'}" colspan=2><font size=2 color="$color{'titletext'}">
	<b>Thread Summary</b>
	</td></tr>
	
	~;
	require "$sourcedir/Display.pl";

	foreach $line (@messages) { #start for each
	
	($trash, $tempname, $trash, $tempdate, $trash, $trash, $trash, $trash, $temppost) = split(/\|/,$line);
	
	$message = "$temppost";	
	&DoUBBC;
print qq~

<tr bgcolor="$color{'catbg'}"><td align=left>
<font size=1>Posted by: $tempname</font></td>
<td bgcolor="$color{'catbg'}" align=right>
<font size=1>Posted on: $tempdate</font></td>
</tr>
<tr><td colspan=2 bgcolor="$color{'windowbg2'}">
<font size=1>$message</font>
</td></tr>

~;
	} #end for each

print "</table></td></tr></table>\n";

 } # end if messages exist
 
 else { print "<!--no summary-->"; }



}

##################################################### ADDITION HERE ^^
sub doaddition {
	
		$filetoopen = "$thread" . ".data";
		open(FILE2, "$datadir/$filetoopen");
		&lock(FILE2);
		$views = <FILE2>;
		&unlock(FILE2);
		close(FILE2);
		
		$filetoopen = "$thread" . ".data";
		open(FILE2, "+>$datadir/$filetoopen");
		&lock(FILE2);
		print FILE2 "$views";
		&unlock(FILE2);
		close(FILE2);
}



1;
