###############################################################################
# Profile.pl                                                                  #
###############################################################################
# Yet another Bulletin Board (http://www.yabb.com.ru)                         #
# Open Source project started by Zef Hemel (zef@zefnet.com)                   #
# =========================================================================== #
# Copyright (c) The YaBB Programming team                                     #
# =========================================================================== #
# This file has been written by: Zef Hemel                                    #
###############################################################################

sub ModifyProfile {

	if ($INFO{'username'} =~ /\//){ &fatal_error("The username field does not accept / in the query string" ); }
	if ($INFO{'username'} =~ /\\/){ &fatal_error("The username field does not accept \\ in the query string" ); }

	$title = "$txt{'79'}";

	if($username ne $INFO{'username'} && $settings[7] ne "Administrator") {
		&fatal_error("$txt{'80'}");
	}

	open(FILE, "$memberdir/$INFO{'username'}.dat");
	&lock(FILE);
	@memsettings=<FILE>;
	&unlock(FILE);
	close(FILE);
        ### LB
	$memsettings[0] =~ s/[\n\r]//g;
	$memsettings[1] =~ s/[\n\r]//g;
	$memsettings[2] =~ s/[\n\r]//g;
	$memsettings[3] =~ s/[\n\r]//g;
	$memsettings[4] =~ s/[\n\r]//g;
	$memsettings[5] =~ s/[\n\r]//g;
	$memsettings[6] =~ s/[\n\r]//g;
	$memsettings[7] =~ s/[\n\r]//g;
	$memsettings[8] =~ s/[\n\r]//g;
        ### /LB
	$signature = "$memsettings[5]";
	$signature =~ s/\&\&/\n/g;
	&header;
	print <<"EOT";
<table border=0 width=100% cellspacing=1 bgcolor="#000000">
<tr>
	<td bgcolor="$color{'titlebg'}"><font size=2 color="$color{'titletext'}"><b>$txt{'79'}</b></font></td>
</tr>
<tr>
	<td bgcolor="$color{'windowbg'}"><font size=2><form action="$cgi\&action=profile2" method="POST">
<table border=0>
<tr>
	<td><font size=2><b>$txt{'35'}:</b></font></td>
	<td><font size=2><input type=hidden name="username" value="$INFO{'username'}">$INFO{'username'}</font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'81'}:</b></font></td>
	<td><font size=2><input type=password name=passwrd1 size=20 value="$memsettings[0]"></font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'82'}:</b></font></td>
	<td><font size=2><input type=password name=passwrd2 size=20 value="$memsettings[0]"></font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'68'}:</b></font></td>
	<td><font size=2><input type=text name=name size=50 value="$memsettings[1]"></font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'69'}:</b></font></td>
	<td><font size=2><input type=text name=email size=50 value="$memsettings[2]"></font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'83'}:</b></font></td>
	<td><font size=2><input type=text name=websitetitle size=50 value="$memsettings[3]"></font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'84'}:</b></font></td>
	<td><font size=2><input type=text name=websiteurl size=50 value="$memsettings[4]"></font></td>
</tr>
<tr>
	<td><font size=2><b>ICQ:</b></font></td>
	<td><font size=2><input type=text name=icq size=50 value="$memsettings[8]"></font></td>
</tr>
<tr>
	<td valign=top><font size=2><b>$txt{'85'}:</b></font></td>
	<td><font size=2><textarea name=signature rows=4 cols=50 wrap=virtual>$signature</textarea></td>
</tr>
EOT
	open(FILE, "$vardir/membergroups.txt");
	&lock(FILE);
	@lines = <FILE>;
	&unlock(FILE);
	close(FILE);
	if($settings[7] eq "Administrator") {
		$position="";
		foreach $curl (@lines) {
			if($curl ne "$lines[1]" && $curl ne "$lines[2]" && $curl ne "$lines[3]" && $curl ne "$lines[4]") {
				if($curl ne "$lines[0]") {
					$position="$position<option>$curl";
				} else {
					$position="$position<option value=\"Administrator\">$curl";
				}
			}
		}
		if($memsettings[7] eq "Administrator") {
			$tt = "$lines[0]";
		} else { $tt = "$memsettings[7]"; }
		print <<"EOT";
<tr>
	<td><font size=2><b>$txt{'86'}:</b></font></td>
	<td><font size=2><input type=text name=settings6 size=4 value="$memsettings[6]"></font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'87'}:</b></font></td>
	<td><font size=2><select name="settings7">
	<option value="$memsettings[7]">$tt
	<option value="$memsettings[7]">---------------
	$position
	</select></font></td>
</tr>
<tr>
        <td align=center colspan=2>
	<input type=hidden name="settings8" value="$memsettings[8]">
EOT
	} else {
		print <<"EOT";
<tr>
	<td align=center colspan=2>
EOT
	}
	print <<"EOT";
	<input type=submit name=moda value="$txt{'88'}">
	<input type=submit name=moda value="$txt{'89'}">
	</td>
</tr>
</table>
</form>
</td>
</tr>
</table>
EOT
	&footer;
	exit;
}

sub ModifyProfile2 {

	if ($INFO{'username'} =~ /\//){ &fatal_error("The username field does not accept / in the query string" ); } 
	if ($INFO{'username'} =~ /\\/){ &fatal_error("The username field does not accept \\ in the query string" ); }

	&fatal_error("$txt{'90'}") if($FORM{'passwrd1'} ne "$FORM{'passwrd2'}");
	&fatal_error("$txt{'91'}") if($FORM{'passwrd1'} eq "");
	&fatal_error("$txt{'75'}") if($FORM{'name'} eq "");
	&fatal_error("$txt{'76'}") if($FORM{'email'} eq "");

	if($FORM{'moda'} eq "$txt{'88'}") {

	        ### LB
	        $FORM{'passwrd1'} =~ s/[\n\r]//g;
	        $FORM{'name'} =~ s/[\n\r]//g;
	        $FORM{'name'} =~ s/</&lt;/g;
	        $FORM{'email'} =~ s/[\n\r]//g;
	        $FORM{'email'} =~ s/</&lt;/g;
	        $FORM{'websitetitle'} =~ s/[\n\r]//g;
	        $FORM{'websitetitle'} =~ s/</&lt;/g;
	        $FORM{'websiteurl'} =~ s/[\n\r]//g;
	        $FORM{'websiteurl'} =~ s/</&lt;/g;
	        $FORM{'settings6'} =~ s/[\n\r]//g;
	        $FORM{'settings7'} =~ s/[\n\r]//g;
	        $FORM{'icq'} =~ s/[^0-9]//g;
	        $FORM{'signature'} =~ s/</&lt;/g;

	        if($settings[7] eq "Administrator") {
	            open(FILE, ">$memberdir/$FORM{'username'}.dat");
	        } else {
	            open(FILE, ">$memberdir/$username.dat");
	        }
	        ### /LB

		&lock(FILE);
		print FILE "$FORM{'passwrd1'}\n";
		print FILE "$FORM{'name'}\n";
		print FILE "$FORM{'email'}\n";
		print FILE "$FORM{'websitetitle'}\n";
		print FILE "$FORM{'websiteurl'}\n";
		$FORM{'signature'} =~ s/\n/\&\&/g;
		$FORM{'signature'} =~ s/\r//g;
		print FILE "$FORM{'signature'}\n";
	        ### LB
	        if($settings[7] eq "Administrator") {
	            print FILE "$FORM{'settings6'}\n";
	            print FILE "$FORM{'settings7'}\n";
	        } else {
	            print FILE "$settings[6]\n";
	            print FILE "$settings[7]\n";
	        }
	        ### /LB
		print FILE "$FORM{'icq'}\n";
		&unlock(FILE);
		close(FILE);
	        ### LB
	        if($settings[7] eq "Administrator") {
	            print "Location: $cgi\&action=viewprofile\&username=$FORM{'username'}\n\n";
	        } else {
	            print "Location: $cgi\&action=viewprofile\&username=$username\n\n";
	        }
	        ### /LB
	} else {

		if($settings[7] eq "Administrator") {
			unlink("$memberdir/$FORM{'username'}.dat");
			unlink("$memberdir/$FORM{'username'}.msg");
			unlink("$memberdir/$FORM{'username'}.log");
                        unlink("$memberdir/$FORM{'username'}.outbox");
		} else {
			unlink("$memberdir/$username.dat");
			unlink("$memberdir/$username.msg");
			unlink("$memberdir/$username.log");
                        unlink("$memberdir/$FORM{'username'}.outbox");
		}		

		open(FILE, "$memberdir/memberlist.txt");
		&lock(FILE);
		@members = <FILE>;
		&unlock(FILE);
		close(FILE);
		open(FILE, ">$memberdir/memberlist.txt");
		&lock(FILE);
		foreach $curmem (@members) {
			$curmem =~ s/\n//g;
			$curmem =~ s/\r//g;
			if($curmem ne "$FORM{'username'}") { print FILE "$curmem\n"; }
		}
		&unlock(FILE);
		close(FILE);
		print "Location: $cgi\n\n";
	}
	exit;
}

sub ViewProfile {
	if ($INFO{'username'} =~ /\//){ &fatal_error("The username field does not accept / in the query string" ); } 
	if ($INFO{'username'} =~ /\\/){ &fatal_error("The username field does not accept \\ in the query string" ); }
	$title = "$txt{'92'} $INFO{'username'}";
	&header;
	open(FILE, "$memberdir/$INFO{'username'}.dat");
	&lock(FILE);
	@memsettings=<FILE>;
	&unlock(FILE);
	close(FILE);
	### LB	
	$memsettings[0] =~ s/[\n\r]//g;
	$memsettings[1] =~ s/[\n\r]//g;
	$memsettings[2] =~ s/[\n\r]//g;
	$memsettings[3] =~ s/[\n\r]//g;
	$memsettings[4] =~ s/[\n\r]//g;
	$memsettings[5] =~ s/[\n\r]//g;
	$memsettings[6] =~ s/[\n\r]//g;
	$memsettings[7] =~ s/[\n\r]//g;
	$memsettings[8] =~ s/[\n\r]//g;
	### /LB	
	open(FILE, "$vardir/membergroups.txt");
	&lock(FILE);
	@membergroups = <FILE>;
	&unlock(FILE);
	close(FILE);

	$memberinfo = "$membergroups[2]";
	if($memsettings[6] > 50) {
		$memberinfo = "$membergroups[3]";
	}
	if($memsettings[6] > 100) {
		$memberinfo = "$membergroups[4]";
	}
	if($memsettings[7] ne "") { $memberinfo = "$memsettings[7]"; }
	if($memsettings[7] eq "Administrator") { $memberinfo = "$membergroups[0]"; }

	### LB	
	print <<"EOT";
<table border=0 width=300 cellspacing=1 bgcolor="#000000">
<tr>
	<td bgcolor="$color{'titlebg'}"><table border=0 cellspacing=0 cellpadding=0 width=100%><tr><td><font size=2 color="$color{'titletext'}"><b>$INFO{'username'}</b></font></td>
	<td align=right>
EOT
	if ($username eq $INFO{'username'} || $settings[7] eq "Administrator") {
		print <<"EOT";	
	<font size=2><a href="$cgi&action=profile&username=$INFO{'username'}"><font color="$color{'titletext'}">$txt{'17'}</font></a></font>
EOT
	}
	### /LB	
	print <<"EOT";	
	</td></tr></table>
	</td>
</tr>
<tr>
	<td bgcolor="$color{'windowbg'}">
<table border=0 width=300>
<tr>
	<td><font size=2><b>$txt{'68'}:</b></font></td>
	<td><font size=2>$memsettings[1]</font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'69'}:</b></font></td>
	<td><font size=2><a href="mailto:$memsettings[2]">$memsettings[2]</a></font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'96'}:</b></font></td>
	<td><font size=2><a href="$memsettings[4]" target=_blank>$memsettings[3]</a></font></td>
</tr>
<tr>
	<td><font size=2><b>ICQ:</b></font></td>
	<td><font size=2>$memsettings[8]</font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'86'}:</b></font></td>
	<td><font size=2>$memsettings[6]</font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'87'}:</b></font></td>
	<td><font size=2>$memberinfo</font></td>
</tr>
<tr>
	<td><font size=2><b>$txt{'148'}:</b></font></td>
	<td><font size=2><a href="$cgi&action=imsend&to=$INFO{'username'}">[>>]</a></font></td>
</tr>
</table>
</td>
</tr>
</table>
EOT
	&footer;
	exit;
}

1;